﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace StriplineSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class Model
    {
        public double XData { get; set; }

        public double YData { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            Random rand = new Random();
            this.Datas = new ObservableCollection<Model>();

            for (int i = 1; i <= 50; i++)
                Datas.Add(new Model() { XData = i, YData = rand.Next(10, 100) });

        }

        public ObservableCollection<Model> Datas { get; set; }
    }
}
